Functions
Flag_Management
Peripheral Driver » LL Driver » AON_GPIO » Functions

## Functions
__STATIC_INLINE uint32_t | ll_aon_gpio_read_flag_it (uint32_t pin_mask)
| Read AON_GPIO Interrupt Combination Flag of specified AON_GPIO pins. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_active_flag_it (uint32_t pin_mask)
| Indicate if the AON_GPIO Interrupt Flag is set or not of specified AON_GPIO pins. More...
__STATIC_INLINE void | ll_aon_gpio_clear_flag_it (uint32_t pin_mask)
| Clear Interrupt Status flag of specified AON_GPIO pins. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_gpio_clear_flag_it()

__STATIC_INLINE void ll_aon_gpio_clear_flag_it | ( | uint32_t | pin_mask | ) |

Clear Interrupt Status flag of specified AON_GPIO pins.

Note
  After an interrupt is triggered, the corresponding bit in the INTSTATUS Register is set. The interrupt status can be cleared by writing 1 to corresponding bit in INTCLEAR Register.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTATUS | INTSTATUS | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  None |

Definition at line 1182 of file gr55xx_ll_aon_gpio.h.

## ◆ ll_aon_gpio_is_active_flag_it()

__STATIC_INLINE uint32_t ll_aon_gpio_is_active_flag_it | ( | uint32_t | pin_mask | ) |

Indicate if the AON_GPIO Interrupt Flag is set or not of specified AON_GPIO pins.

Note
  After an interrupt is triggered, the corresponding bit in the INTSTATUS Register is set. The interrupt status can cleared by writing 1 to corresponding bit in INTCLEAR Register.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTATUS | INTSTATUS | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1152 of file gr55xx_ll_aon_gpio.h.

## ◆ ll_aon_gpio_read_flag_it()

__STATIC_INLINE uint32_t ll_aon_gpio_read_flag_it | ( | uint32_t | pin_mask | ) |

Read AON_GPIO Interrupt Combination Flag of specified AON_GPIO pins.

Note
  After an interrupt is triggered, the corresponding bit in the INTSTATUS Register is set. The interrupt status can cleared by writing 1 to corresponding bit in INTCLEAR Register.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTATUS | INTSTATUS | +———————-+———————————–+ \endrst

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL

Return values

  Interrupt | flag whose bits were set when the selected trigger event arrives on the interrupt

Definition at line 1119 of file gr55xx_ll_aon_gpio.h.

References LL_AON_GPIO_PIN_ALL.